PROBE::SOCKET.AIO_(3stap)

NAME
probe::socket.aio_read.return - Conclusion of message received via sock_aio_read

SYNOPSIS

socket.aio_read.return

VALUES

protocol
    Protocol value

flags
    Socket flags value

family
    Protocol family value

state
    Socket state value

size
    Size of message received (in bytes) or error code if success = 0

type
    Socket type value

name
    Name of this probe

success
    Was receive successful? (1 = yes, 0 = no)

CONTEXT

The message receiver.

DESCRIPTION

Fires at the conclusion of receiving a message on a socket via the sock_aio_read function

SEE ALSO
tapset::socket(3stap)